curl --request PUT \
--url https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"model_type": "Fine-tuned Run",
"model_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "Inactive",
"total_input_tokens": 123,
"total_output_tokens": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"n_instances": 123,
"user_id": "<string>",
"team_id": "<string>",
"model_name": "<string>",
"memory": "<string>",
"hardware_type": "Dedicated",
"last_deployed_at": "2023-11-07T05:31:56Z",
"processor": "GAUDI2",
"n_epochs": 123,
"batch_size": 123,
"learning_rate": 123,
"training_files": [
"<string>"
],
"project_id": 123,
"project_name": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"finetune_name": "<string>",
"finetune_created_at": "2023-11-07T05:31:56Z",
"active_duration": 0,
"is_lora_adapter": false,
"reasoning": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Demote deployment
Move a deployment from production to staging status.
curl --request PUT \
--url https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote \
--header 'Authorization: <api-key>'import requests
url = "https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://flow.seekr.com/v1/flow/deployments/{deployment_id}/demote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"model_type": "Fine-tuned Run",
"model_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "Inactive",
"total_input_tokens": 123,
"total_output_tokens": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"n_instances": 123,
"user_id": "<string>",
"team_id": "<string>",
"model_name": "<string>",
"memory": "<string>",
"hardware_type": "Dedicated",
"last_deployed_at": "2023-11-07T05:31:56Z",
"processor": "GAUDI2",
"n_epochs": 123,
"batch_size": 123,
"learning_rate": 123,
"training_files": [
"<string>"
],
"project_id": 123,
"project_name": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"finetune_name": "<string>",
"finetune_created_at": "2023-11-07T05:31:56Z",
"active_duration": 0,
"is_lora_adapter": false,
"reasoning": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.
Path Parameters
ID of the deployment.
Response
Resource created
ID of the deployment.
Fine-tuned Run, Base Model ID of the deployed model.
Name of the deployment.
Description of the deployment.
Inactive, Pending, Active, Failed, Started, Success Total number of input tokens the deployment has processed.
Total number of output tokens the deployment has generated.
Time the deployment was created, in ISO 8601 format.
Time the deployment was last updated, in ISO 8601 format.
Number of instances the deployment runs.
ID of the user who owns the deployment.
ID of the team the deployment belongs to.
Name of the deployed model.
Serverless, Dedicated Time the deployment was last deployed, in ISO 8601 format.
GAUDI2, GAUDI3, A100, A10, AMD, H100, MI300X Number of training epochs used for the fine-tune the deployment serves.
Training batch size used for the fine-tune the deployment serves.
Learning rate used for the fine-tune the deployment serves.
IDs of the files used to train the fine-tune the deployment serves.
ID of the project the fine-tune belongs to.
Name of the project the fine-tune belongs to.
Time the fine-tuning job completed, in ISO 8601 format.
Name of the fine-tune the deployment serves.
Time the fine-tune was created, in ISO 8601 format.
Total time the deployment has been active, in seconds.
x >= 0If true, the deployment serves a LoRA adapter.